package com.ruoyi.file.mapper;

import com.ruoyi.file.domain.SysRoleUserFile;

import java.util.List;

/**
 * 角色与用户文件关联表 数据层
 *
 * @author liangwen
 */
public interface SysRoleUserFileMapper
{
    /**
     * 通过角色ID删除角色和用户文件关联
     *
     * @param roleId 角色ID
     * @return 结果
     */
    public int deleteRoleUserFileByRoleId(Long roleId);

    /**
     * 批量删除角色用户文件关联信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteRoleUserFile(Long[] ids);

    /**
     * 查询用户文件使用数量
     *
     * @param userFileId 用户文件ID
     * @return 结果
     */
    public int selectCountRoleUserFileByUserFileId(Long userFileId);

    /**
     * 批量新增角色用户文件信息
     *
     * @param roleUserFileList 角色用户文件列表
     * @return 结果
     */
    public int batchRoleUserFile(List<SysRoleUserFile> roleUserFileList);

    List<String> selectUserFileIdListByRoleId(Long roleId);

}
